Bug 703488 - (libmygpo-qt) Review Request: libmygpo-qt - Qt Library that wraps the gpodder.net Web API
Review Request: libmygpo-qt - Qt Library that wraps the gpodder.net Web API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-05-10 09:59 EDT by Rex Dieter
Modified: 2011-06-03 22:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: libmygpo-qt-1.0.3-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 10:51:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-05-10 09:59:48 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/libmygpo-qt/libmygpo-qt.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/libmygpo-qt/libmygpo-qt-1.0.2-1.fc14.src.rpm
Description:
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API, http://wiki.gpodder.org/wiki/Web_Services/API_2


Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3062925

rpmlint:
$ rpmlint *.rpm */*.rpm
libmygpo-qt.src: W: spelling-error Summary(en_US) gpodder -> plodder, prodder, doddery
libmygpo-qt.src: W: spelling-error %description -l en_US gpodder -> plodder, prodder, doddery
libmygpo-qt.x86_64: W: spelling-error Summary(en_US) gpodder -> plodder, prodder, doddery
libmygpo-qt.x86_64: W: spelling-error %description -l en_US gpodder -> plodder, prodder, doddery
libmygpo-qt-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 5 warnings.
Comment 1 Rex Dieter 2011-05-10 10:00:11 EDT
Needed by amarok-2.4.1+
Comment 3 Jaroslav Reznik 2011-05-20 10:38:47 EDT
Name: ok
Summary: ok
Version & release: ok
License: ok
URL: ok
Sources: ok, md5sum 6f88444c82e9840638ec16e366457dd7
Patch: review ok
BRs: not ok, please drop kde-filesystem and replace cmake_kde4 with plain cmake
Description: I don't like the URL there but it's up to you...
Devel package: ok
Ldconfig: ok
Consistent macro usage: ok
.so in -devel: ok
Builds: locally, scratch build as attached

rpmlint libmygpo-qt-1.0.2-1.fc15.src.rpm 
libmygpo-qt.src: W: spelling-error Summary(en_US) gpodder -> plodder, prodder, doddery
libmygpo-qt.src: W: spelling-error %description -l en_US gpodder -> plodder, prodder, doddery
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

ok

Please fix the BRs issue and I'll approve it as it's really very simple library.
Comment 4 Rex Dieter 2011-05-20 10:57:07 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/libmygpo-qt/libmygpo-qt.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/libmygpo-qt/libmygpo-qt-1.0.2-2.fc14.src.rpm

%changelog
* Fri May 20 2011 Rex Dieter <rdieter@fedoraproject.org> 1.0.2-2
- drop kde deps/macros, this is a qt-only library
Comment 5 Jaroslav Reznik 2011-05-20 11:21:48 EDT
Thanks Rex => APPROVED
Comment 6 Rex Dieter 2011-05-20 11:32:50 EDT
New Package SCM Request
=======================
Package Name: libmygpo-qt
Short Description: Qt Library that wraps the gopper.net Web API
Owners: rdieter
Branches: f14 f15 el6
InitialCC:
Comment 7 Kevin Fenzi 2011-05-20 18:32:41 EDT
Git done (by process-git-requests).
Comment 8 Rex Dieter 2011-05-23 10:51:10 EDT
imported.
Comment 9 Fedora Update System 2011-05-26 11:05:23 EDT
libmygpo-qt-1.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libmygpo-qt-1.0.3-1.fc14
Comment 10 Fedora Update System 2011-05-26 11:06:01 EDT
libmygpo-qt-1.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libmygpo-qt-1.0.3-1.fc15
Comment 11 Fedora Update System 2011-06-02 14:58:24 EDT
libmygpo-qt-1.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2011-06-03 22:59:47 EDT
libmygpo-qt-1.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.